Enable using external libCharLS (e.g. provided by the OS)
Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Library Estimated time: 0:00 hour

Target version:
Module: dcmipls, config Compiler:

Operating System:

Description

Linux package maintainers (Debian, Fedora and ArchLinux) would prefer to use an external CharLS library instead of the one
provided as part of DCMTK.

History

#1 - 2018-02-08 22:09 - Jan Schlamelcher
- Subject changed from Benutze externe libCharLS falls vorhanden to Enable using external libCharlLS (e.g. provided by the OS)

#2 - 2018-02-08 22:11 - Jan Schlamelcher

- Description updated

#3 - 2018-02-09 12:46 - Michael Onken

Uli Schlachter wrote:

Linux package maintainers (Debian, Fedora and ArchLinux) would prefer to use an external CharLS library instead of the one provided as part of
DCMTK.

At least Debian and | guess some of its derivates already do that for some time now (see Debian libdcmtk package)

#4 - 2019-08-07 18:24 - JOrg Riesmeier
- Category set to Library
- Priority changed from Low to Normal

- Module changed from all to decmjpls, config

Fedora project already managed to use CharLS 2.0 library: https:/github.com/DCMTK/dcmtk/pull/18#issuecomment-519146275

Debian project still seems to have problems with newer versions of CharLS: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=923433

#5 - 2019-08-15 11:06 - Marco Eichelberg

- Target version set to 3.6.6

The implementation strategy for DCMTK decided by the team will be to keep the internal CharLS version available in DCMTK (for platforms where
CharLS is not available as an external library or compilers that do not support C++11/C++14) but provide an option to compile DCMTK either with the
internal or with an external CharLS library. For the external CharLS library, we will primarily aim at supporting CharLS 2.x. This does require several
modification of the build system, though, and these will only be implemented after DCMTK 3.6.5.

#6 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)

2025-09-06 1/1



https://github.com/DCMTK/dcmtk/pull/18#issuecomment-519146275
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=923433
http://www.tcpdf.org

